# 防火墙

1. **1xx（信息响应）**：这些状态码表示服务器已经收到请求，并且请求正在继续处理中。例如：
   - 100（继续）：请求者应当继续提出请求。
   - 101（切换协议）：请求者已要求服务器切换协议，服务器已确认并准备切换。
2. **2xx（成功响应）**：这些状态码表示请求已成功被服务器接收、理解并处理。例如：
   - 200（成功）：服务器已成功处理了请求。
   - 201（已创建）：请求成功并且服务器创建了新的资源。
3. **3xx（重定向响应）**：这些状态码表示要完成请求，需要进一步操作。通常，这些状态代码用来重定向。例如：
   - 300（多种选择）：请求者可以选择一个选项来继续请求。
4. **4xx（客户端错误）**：这些状态码表示请求包含语法错误或无法完成请求。例如：
   - 401（未授权）：请求需要用户认证。
   - 403（禁止访问）：服务器理解请求但拒绝执行。
   - 404（未找到）：请求的资源未在服务器上找到。
5. **5xx（服务器错误）**：这些状态码表示服务器在尝试处理请求时发生内部错误。例如：
   - 500（服务器错误）：服务器遇到了一个未曾预料的状况。
   - 503（服务不可用）：服务器目前无法处理请求。





在华为的网络设备上，`ensp` 通常指的是华为的模拟器软件eNSP（Enterprise Network Simulation Platform），用于模拟华为网络设备的环境进行实验和学习。而您提供的`dns-list`和`dns server`看起来是用于配置DNS服务器的命令。下面是这两个命令的含义和区别：

1. `dns-list 8.8.8.8`： 这个命令可能是用于列出或配置一系列的DNS服务器地址。在华为的设备上，`dns-list`命令可能用于设置或显示DNS服务器的列表。参数`8.8.8.8`是谷歌公共DNS的一个地址。这条命令可能是用来将`8.8.8.8`添加到设备的DNS服务器列表中。
2. `dns server 8.8.8.8`： 这个命令通常用于在设备上配置主DNS服务器地址。在华为的网络设备配置中，`dns server`命令用来指定使用哪个DNS服务器地址进行域名解析。所以，这条命令的作用是将`8.8.8.8`设置为设备的DNS服务器地址。

区别在于：

- `dns-list`可能用于添加或显示多个DNS服务器地址的列表，而`dns server`通常用于设置主要的或默认的DNS服务器地址。
- 如果设备支持多个DNS服务器，`dns-list`命令可以用来配置备用DNS服务器列表，而`dns server`则是配置主要的DNS服务器。

需要注意的是，具体的命令用法和功能可能会根据华为设备的操作系统版本和具体型号有所不同，所以最好是参考具体设备的命令行接口(CLI)手册来了解确切的命令用法。